<script lang="ts" setup>
import MainButton from './MainButton.vue';

defineEmits<{
  (e: 'click', v: MouseEvent): void;
}>();
defineProps<{
  iconOnly?: boolean;
  solid?: boolean;
  outlined?: boolean;
  disabled?: boolean;
  dark?: boolean;
}>();
</script>

<template>
  <MainButton
    @click="(e) => $emit('click', e)"
    v-bind="{ ...$props, ...$attrs }"
    icon="mdi-close"
    color="var(--gray-7-hsl)"
    :title="iconOnly ? $t('general.clear') : undefined"
  >
    {{ $t('general.clear') }}
  </MainButton>
</template>
